Bug 322691 - unable to connect to password protected openvpn
unable to connect to password protected openvpn
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 00:04 EDT by Joseph Blake
Modified: 2008-04-04 09:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Blake 2007-10-08 00:04:51 EDT
Description of problem: Unable to connect openvpn network using
NetworkManager/knetworkmanager using password authentication or x.509 with
password authentication. if i configure openvpn to use x.509 alone it works with
networkmanager fine. i am also able to connect to openvpn server using
commandline openvpn client with password auth without a problem.

Version-Release number of selected component (if applicable):

How reproducible: reproduced on several machines on coming from different
networks in all of: F7, F8t1,2,3. 

Steps to Reproduce:
1. configure openvpn server with password or x.509/password authentication
2. connect to it using networkmanager
 
Actual results: no connection. watching log on openvpn server shows that the
client, when configured using networkmanager, does not even attempt to contact
the server at all.

Expected results: connection.

Additional info: 
SYSLOG:
-----------------------------------------------
Oct  7 21:25:15 hostname NetworkManager: <info>  Will activate VPN connection
[...edited....]
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 2 of 4 (Connection Prepare Wait) scheduled...
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 2 of 4 (Connection Prepare Wait) waiting...
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 2 of 4 (Connection Prepare Wait) complete.
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 3 of 4 (Connect) scheduled...
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 3 of 4 (Connect) sending connect request.
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 3 of 4 (Connect) request sent, waiting for reply...
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN service
'org.freedesktop.NetworkManager.openvpn' signaled state change 6 -> 3.
Oct  7 21:25:15 hostname nm-openvpn[17817]: OpenVPN 2.1_rc4
i386-redhat-linux-gnu [SSL] [LZO2] [EPOLL] built on Apr 26 2007
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 3 of 4 (Connect) reply received.
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 4 of 4 (IP Config Get) timeout scheduled...
Oct  7 21:25:15 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 3 of 4 (Connect) complete, waiting for IP configuration...
Oct  7 21:25:22 hostname ntpd[2029]: Deleting interface #9 eth0,
fe80::215:f2ff:feb2:3dde#123, interface stats: received=0, sent=0, dropped=0,
active_time=2100 secs
Oct  7 21:26:00 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
Stage 4 of 4 (IP Config Get) timeout exceeded.
Oct  7 21:26:00 hostname NetworkManager: <info>  VPN Activation (vpn.server.com)
failed.
Oct  7 21:26:00 hostname nm-openvpn[17817]: ERROR: could not read Auth
username/password/ok from management interface
Oct  7 21:26:00 hostname nm-openvpn[17817]: Exiting
Oct  7 21:26:00 hostname NetworkManager: <info>  VPN service
'org.freedesktop.NetworkManager.openvpn' signaled state change 3 -> 5.
Oct  7 21:26:00 hostname NetworkManager: <info>  VPN service
'org.freedesktop.NetworkManager.openvpn' signaled state change 5 -> 6.
-----------------------------------------------------------------------------
Comment 1 Tim Niemueller 2008-01-19 05:18:56 EST
Can you please retry with the current package available in update-testing?

Note You need to log in before you can comment on or make changes to this bug.